scim::FrontEndModule Class Reference
FrontEnd

The class to manipulate the frontend modules. More...

`#include <scim_frontend_module.h>`

## Public Member Functions

| FrontEndModule ()
| Default constructor.
| FrontEndModule (const String &name, const BackEndPointer &backend, const ConfigPointer &config, int argc, char **argv)
| Constructor.
bool | load (const String &name, const BackEndPointer &backend, const ConfigPointer &config, int argc, char **argv)
| Load a FrontEnd module by its name.
bool | valid () const
| Check if a module is loaded and initialized successfully.
void | run () const
| run this FrontEnd module.

## Detailed Description

The class to manipulate the frontend modules.

This is a wrapper of scim::Module class, which is specially for manipulating the frontend modules.

## Constructor & Destructor Documentation

## FrontEndModule() [1/2]

scim::FrontEndModule::FrontEndModule | ( |  | ) |

Default constructor.

## FrontEndModule() [2/2]

scim::FrontEndModule::FrontEndModule | ( | const String & | name,
|  | const BackEndPointer & | backend,
|  | const ConfigPointer & | config,
|  | int | argc,
|  | char ** | argv )

Constructor.

Parameters

  name | - the module's name, eg. "rawcode".
  backend | - a BackEnd instance which holds all IMEngineFactory instances.
  config | - a smart pointer points to a ConfigBase instance.
  argc | - the number of (fake) command line arguments
  argv | - the (fake) command line argument vector

## Member Function Documentation

## load()

bool scim::FrontEndModule::load | ( | const String & | name,
|  | const BackEndPointer & | backend,
|  | const ConfigPointer & | config,
|  | int | argc,
|  | char ** | argv )

Load a FrontEnd module by its name.

Load a module into memory. If another module has been loaded into this object, then the old module will be unloaded first. If the old module is resident, false will be returned, and the old module will be untouched.

Parameters

  name | - the module's name, eg. "rawcode".
  backend | - a BackEnd instance which holds all IMEngineFactory instances.
  config | - a smart pointer points to a ConfigBase instance.
  argc | - the number of (fake) command line arguments
  argv | - the (fake) command line argument vector

## valid()

bool scim::FrontEndModule::valid | ( |  | ) | const

Check if a module is loaded and initialized successfully.

Returns
  true if a module is already loaded and initialized successfully.

## run()

void scim::FrontEndModule::run | ( |  | ) | const

run this FrontEnd module.

The documentation for this class was generated from the following file:

- scim_frontend_module.h